## org.apache.lucene.analysis.snowball
Class SnowballFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.snowball.SnowballFilter

All Implemented Interfaces:
  Closeable

    public final class SnowballFilter

extends TokenFilter

A filter that stems words using a Snowball-generated stemmer. Available stemmers are listed in `org.tartarus.snowball.ext`.

NOTE: SnowballFilter expects lowercased text.

- For the Turkish language, see `TurkishLowerCaseFilter`.
- For other languages, see `LowerCaseFilter`.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`SnowballFilter(TokenStream input, SnowballProgram stemmer)`
`SnowballFilter(TokenStream in, String name)` Construct the named stemming filter.

Method Summary
`boolean` `incrementToken()` Returns the next input Token, after being stemmed

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnowballFilter

    public SnowballFilter(TokenStream input,
                          SnowballProgram stemmer)

### SnowballFilter

    public SnowballFilter(TokenStream in,
                          String name)

  Construct the named stemming filter. Available stemmers are listed in `org.tartarus.snowball.ext`. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".

  Parameters:
    `in` - the input tokens to stem
    `name` - the name of a stemmer

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Returns the next input Token, after being stemmed

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.